---
title: Update an Opsgenie account
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Opsgenie Integration
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update an Opsgenie account{% #update-an-opsgenie-account %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/integration/opsgenie/accounts/{account_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/integration/opsgenie/accounts/{account_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/integration/opsgenie/accounts/{account_id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/integration/opsgenie/accounts/{account_id} |

### Overview

Update a single Opsgenie account in the Datadog Opsgenie integration. This endpoint requires the `manage_integrations` permission.

### Arguments

#### Path Parameters

| Name                         | Type   | Description                       |
| ---------------------------- | ------ | --------------------------------- |
| account_id [*required*] | string | The UUID of the Opsgenie account. |

### Request

#### Body Data (required)

Opsgenie account payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                              |
| ------------ | ---------------------------- | ------ | ------------------------------------------------------------------------ |
|              | data [*required*]       | object | Opsgenie account data for an update request.                             |
| data         | attributes [*required*] | object | The Opsgenie account attributes for an update request.                   |
| attributes   | api_key                      | string | The Opsgenie API key for your Opsgenie account.                          |
| attributes   | region                       | enum   | The region for the Opsgenie service. Allowed enum values: `us,eu,custom` |
| data         | id [*required*]         | string | The ID of the Opsgenie account.                                          |
| data         | type [*required*]       | enum   | Opsgenie account resource type. Allowed enum values: `opsgenie-account`  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000",
      "region": "us"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "opsgenie-account"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing an Opsgenie account.

| Parent field | Field                        | Type   | Description                                                              |
| ------------ | ---------------------------- | ------ | ------------------------------------------------------------------------ |
|              | data [*required*]       | object | Opsgenie account data from a response.                                   |
| data         | attributes [*required*] | object | The attributes from an Opsgenie account response.                        |
| attributes   | region                       | enum   | The region for the Opsgenie service. Allowed enum values: `us,eu,custom` |
| data         | id [*required*]         | string | The ID of the Opsgenie account.                                          |
| data         | type [*required*]       | enum   | Opsgenie account resource type. Allowed enum values: `opsgenie-account`  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "region": "us"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "opsgenie-account"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="422" %}
The server cannot process the request because it contains invalid data.
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export account_id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/integration/opsgenie/accounts/${account_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000",
      "region": "us"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "opsgenie-account"
  }
}
EOF 
                
##### 

```python
"""
Update an Opsgenie account returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.opsgenie_integration_api import OpsgenieIntegrationApi
from datadog_api_client.v2.model.opsgenie_account_type import OpsgenieAccountType
from datadog_api_client.v2.model.opsgenie_account_update_attributes import OpsgenieAccountUpdateAttributes
from datadog_api_client.v2.model.opsgenie_account_update_data import OpsgenieAccountUpdateData
from datadog_api_client.v2.model.opsgenie_account_update_request import OpsgenieAccountUpdateRequest
from datadog_api_client.v2.model.opsgenie_service_region_type import OpsgenieServiceRegionType

body = OpsgenieAccountUpdateRequest(
    data=OpsgenieAccountUpdateData(
        attributes=OpsgenieAccountUpdateAttributes(
            api_key="00000000-0000-0000-0000-000000000000",
            region=OpsgenieServiceRegionType.US,
        ),
        id="596da4af-0563-4097-90ff-07230c3f9db3",
        type=OpsgenieAccountType.OPSGENIE_ACCOUNT,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OpsgenieIntegrationApi(api_client)
    response = api_instance.update_opsgenie_account(account_id="account_id", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update an Opsgenie account returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OpsgenieIntegrationAPI.new

body = DatadogAPIClient::V2::OpsgenieAccountUpdateRequest.new({
  data: DatadogAPIClient::V2::OpsgenieAccountUpdateData.new({
    attributes: DatadogAPIClient::V2::OpsgenieAccountUpdateAttributes.new({
      api_key: "00000000-0000-0000-0000-000000000000",
      region: DatadogAPIClient::V2::OpsgenieServiceRegionType::US,
    }),
    id: "596da4af-0563-4097-90ff-07230c3f9db3",
    type: DatadogAPIClient::V2::OpsgenieAccountType::OPSGENIE_ACCOUNT,
  }),
})
p api_instance.update_opsgenie_account("account_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update an Opsgenie account returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.OpsgenieAccountUpdateRequest{
		Data: datadogV2.OpsgenieAccountUpdateData{
			Attributes: datadogV2.OpsgenieAccountUpdateAttributes{
				ApiKey: datadog.PtrString("00000000-0000-0000-0000-000000000000"),
				Region: datadogV2.OPSGENIESERVICEREGIONTYPE_US.Ptr(),
			},
			Id:   "596da4af-0563-4097-90ff-07230c3f9db3",
			Type: datadogV2.OPSGENIEACCOUNTTYPE_OPSGENIE_ACCOUNT,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOpsgenieIntegrationApi(apiClient)
	resp, r, err := api.UpdateOpsgenieAccount(ctx, "account_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OpsgenieIntegrationApi.UpdateOpsgenieAccount`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OpsgenieIntegrationApi.UpdateOpsgenieAccount`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update an Opsgenie account returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OpsgenieIntegrationApi;
import com.datadog.api.client.v2.model.OpsgenieAccountResponse;
import com.datadog.api.client.v2.model.OpsgenieAccountType;
import com.datadog.api.client.v2.model.OpsgenieAccountUpdateAttributes;
import com.datadog.api.client.v2.model.OpsgenieAccountUpdateData;
import com.datadog.api.client.v2.model.OpsgenieAccountUpdateRequest;
import com.datadog.api.client.v2.model.OpsgenieServiceRegionType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OpsgenieIntegrationApi apiInstance = new OpsgenieIntegrationApi(defaultClient);

    OpsgenieAccountUpdateRequest body =
        new OpsgenieAccountUpdateRequest()
            .data(
                new OpsgenieAccountUpdateData()
                    .attributes(
                        new OpsgenieAccountUpdateAttributes()
                            .apiKey("00000000-0000-0000-0000-000000000000")
                            .region(OpsgenieServiceRegionType.US))
                    .id("596da4af-0563-4097-90ff-07230c3f9db3")
                    .type(OpsgenieAccountType.OPSGENIE_ACCOUNT));

    try {
      OpsgenieAccountResponse result = apiInstance.updateOpsgenieAccount("account_id", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OpsgenieIntegrationApi#updateOpsgenieAccount");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update an Opsgenie account returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_opsgenie_integration::OpsgenieIntegrationAPI;
use datadog_api_client::datadogV2::model::OpsgenieAccountType;
use datadog_api_client::datadogV2::model::OpsgenieAccountUpdateAttributes;
use datadog_api_client::datadogV2::model::OpsgenieAccountUpdateData;
use datadog_api_client::datadogV2::model::OpsgenieAccountUpdateRequest;
use datadog_api_client::datadogV2::model::OpsgenieServiceRegionType;

#[tokio::main]
async fn main() {
    let body = OpsgenieAccountUpdateRequest::new(OpsgenieAccountUpdateData::new(
        OpsgenieAccountUpdateAttributes::new()
            .api_key("00000000-0000-0000-0000-000000000000".to_string())
            .region(OpsgenieServiceRegionType::US),
        "596da4af-0563-4097-90ff-07230c3f9db3".to_string(),
        OpsgenieAccountType::OPSGENIE_ACCOUNT,
    ));
    let configuration = datadog::Configuration::new();
    let api = OpsgenieIntegrationAPI::with_config(configuration);
    let resp = api
        .update_opsgenie_account("account_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update an Opsgenie account returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OpsgenieIntegrationApi(configuration);

const params: v2.OpsgenieIntegrationApiUpdateOpsgenieAccountRequest = {
  body: {
    data: {
      attributes: {
        apiKey: "00000000-0000-0000-0000-000000000000",
        region: "us",
      },
      id: "596da4af-0563-4097-90ff-07230c3f9db3",
      type: "opsgenie-account",
    },
  },
  accountId: "account_id",
};

apiInstance
  .updateOpsgenieAccount(params)
  .then((data: v2.OpsgenieAccountResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
